# `locale_names`

New in version 3.5: The `locale_names` function was added in Twig 3.5.

The `locale_names` function returns the names of the locales:

    {# Afrikaans, Afrikaans (Namibia), ... #}
    {{ locale_names()|join(', ') }}

By default, the function uses the current locale. You can pass it explicitly:

    {# afrikaans, afrikaans (Afrique du Sud), ... #}
    {{ locale_names('fr')|join(', ') }}

Note

The `locale_names` function is part of the `IntlExtension` which is not installed by default. Install it first:

    $ composer require twig/intl-extra

Then, on Symfony projects, install the `twig/extra-bundle`:

    $ composer require twig/extra-bundle

Otherwise, add the extension explicitly on the Twig environment:

    use Twig\Extra\Intl\IntlExtension;

    $twig = new \Twig\Environment(...);
    $twig->addExtension(new IntlExtension());

## Arguments

- `locale`: The locale